//---------------------------------------------------------------------------

#ifndef SignalCfgH
#define SignalCfgH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Grids.hpp>
#include <ValEdit.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------

class Signal;

class TfrmSignalConfig : public TForm
{
__published:	// IDE-managed Components
	TPanel *pnlBottom;
	TPanel *pnlDetailView;
	TLabel *lblWaveType;
	TLabel *lblAmplitude;
	TLabel *lblFrequency;
	TLabel *lblPhase;
	TComboBox *cbWaveType;
	TEdit *edAmplitude;
	TEdit *edFrequency;
	TEdit *edPhase;
	TButton *btnApply;
	TPanel *pnlTop;
	TListView *lvWaves;
	TLabel *lblChannel;
	TComboBox *cbChannel;
	void __fastcall FormShow(TObject *Sender);
	void __fastcall lvWavesData(TObject *Sender, TListItem *Item);
	void __fastcall lvWavesSelectItem(TObject *Sender, TListItem *Item,
          bool Selected);
	void __fastcall btnApplyClick(TObject *Sender);
	void __fastcall cbChannelChange(TObject *Sender);
private:	// User declarations
	__fastcall TfrmSignalConfig(TComponent* Owner): TForm(Owner) {};
	Signal* signal;
	int signal_cnt;
	int CurrentChannel(void);
public:		// User declarations
	__fastcall TfrmSignalConfig(TComponent* Owner, Signal* signal, int signal_cnt);
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmSignalConfig *frmSignalConfig;
//---------------------------------------------------------------------------
#endif
